#include <Servo.h> 

const int ledPin =  13;  // Built-in LED
const int bumpRight = 2; // Right bumper pin 2
const int bumpLeft = 3;  // Left bumper pin 3 
int pbLeft = 0;          // Var for left bump
int pbRight = 0;         // Var for left bump
Servo servoLeft;         // Define left servo
Servo servoRight;        // Define right servo

void setup() { 
  servoLeft.attach(9);   // Left servo pin D9
  servoRight.attach(10); // Right servo pin D10
  // Set pin modes
  pinMode(bumpLeft, INPUT);  
  pinMode(bumpRight, INPUT);  
  pinMode(ledPin, OUTPUT);
} 

void loop() { 
  forward();              // Start forward
  // Test bumper switches
  pbLeft = digitalRead(bumpLeft);  
  pbRight = digitalRead(bumpRight);
  showLED();             // Show LED indicator

  // If left bumper hit
  if (pbLeft == HIGH) {
   reverse();
   delay(500); 
   turnRight();
   delay(1500);
  }

  // If right bumper hit
  if (pbRight == HIGH) {
   reverse();
   delay(500); 
   turnLeft();
   delay(1500);
  }
}

// Motion routines
void forward() {
  servoLeft.write(0);
  servoRight.write(180);
}

void reverse() {
  servoLeft.write(180);
  servoRight.write(0);
}

void turnRight() {
  servoLeft.write(180);
  servoRight.write(180);
}

void turnLeft() {
  servoLeft.write(0);
  servoRight.write(0);
}

void stopRobot() {
  servoLeft.write(90);
  servoRight.write(90);
}

void showLED() {
  // Show LED if a bumper is hit
  if (pbRight == HIGH || pbLeft == HIGH) {
    digitalWrite(ledPin, HIGH); // LED on
  } else {
    digitalWrite(ledPin, LOW);  // LED off
  }   
}


